%define name bbdb
%define version 2.00
%define release 2

Summary: The Insidious Big Brother Database
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Packager: Pavel Janik ml. <Pavel.Janik@linux.cz>
Vendor: Czech Linux Users' Group
Distribution: Red Hat Linux 5.2 Czech
Group: Applications/Editors/Emacs
Source0: http://www.netcom.com/~simmonmt/bbdb/%{name}%{version}.tar.gz
Source1: %{name}-init.el
Patch0: %{name}%{version}-rh.patch
Requires: emacs >= 20.3
BuildArchitectures: noarch
Buildroot: /var/tmp/%{name}-%{version}-root

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (GNUS, MH-E, and RMAIL).

%prep

%setup -q

%patch0 -p1

%build
make all

gzip -9 texinfo/bbdb*

mv texinfo/bbdb.texinfo.gz .

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/etc

install -m 0644 texinfo/bbdb.info* $RPM_BUILD_ROOT/usr/info
install -m 0644 lisp/bbdb*.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -m 0644 tex/*tex $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/etc
install -m 0644 $RPM_SOURCE_DIR/bbdb-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/bbdb.info.gz /usr/info/dir --section=Emacs --entry "* BBDB: (bbdb).         Rolodex-like database program for Emacs."

%preun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete /usr/info/bbdb.info.gz /usr/info/dir --section=Emacs --entry "* BBDB: (bbdb).         Rolodex-like database program for Emacs."
fi

%files
%doc bbdb.texinfo.gz ChangeLog INSTALL README
/usr/share/emacs/site-lisp/*
/usr/info/*
